Update User - MindBridge Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Update User

PUT

/v1/users/{userId}

cURL

curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/users/{userId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "enabled": true
}
'

Python

import requests

url = "https://{tenant}.mindbridge.ai/api/v1/users/{userId}"

payload = {
    "version": 123,
    "enabled": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)

JavaScript

const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({version: 123, enabled: true})
};

fetch('https://{tenant}.mindbridge.ai/api/v1/users/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://{tenant}.mindbridge.ai/api/v1/users/{userId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PUT",
  CURLOPT_POSTFIELDS => json_encode([
    'version' => 123,
    'enabled' => true
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://{tenant}.mindbridge.ai/api/v1/users/{userId}"

payload := strings.NewReader(`{
  "version": 123,
  "enabled": true
}`)

req, _ := http.NewRequest("PUT", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Java

HttpResponse<String> response = Unirest.put("https://{tenant}.mindbridge.ai/api/v1/users/{userId}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"version\": 123,\n  \"enabled\": true\n}")
  .asString();

Ruby

require 'uri'
require 'net/http'

url = URI("https://{tenant}.mindbridge.ai/api/v1/users/{userId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"version\": 123,\n  \"enabled\": true\n}"

response = http.request(request)
puts response.read_body

Response Structure

{
  "id": "<string>",
  "version": 123,
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "firstName": "<string>",
  "lastName": "<string>",
  "email": "<string>",
  "enabled": true,
  "validated": true,
  "serviceAccount": true,
  "recentLogins": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "ipAddress": "<string>"
    }
  ]
}

Authorizations

Authorization
string
Required: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

Body